Package ghidra.util.graph

# Class Vertex

java.lang.Object
ghidra.util.graph.Vertex

All Implemented Interfaces:
  `KeyedObject`, `Comparable<Vertex>`

@Deprecated(forRemoval=true, since="10.2") public class Vertex extends Object implements KeyedObject, Comparable<Vertex>
Deprecated, for removal: This API element is subject to removal in a future version.
An implementation of vertices for use in ghidra.util.graph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Vertex(Object referent)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a vertex tied to a referent object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Vertex v)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Compares two vertices by keys.
  `boolean`
  `equals(Object o)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `int`
  `hashCode()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `long`
  `key()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns the key for this KeyedObject.
  `String`
  `name()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Return the name of this vertex.
  `Object`
  `referent()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `String`
  `toString()`
  Deprecated, for removal: This API element is subject to removal in a future version.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Vertex

    public Vertex(Object referent)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a vertex tied to a referent object. The object the key refers to can be obtained from the vertex factory using the key of the vertex. If there is already a vertex having the same key as returned by KeyedObjectFactory.getInstance().getKeyForThisObject( Object o ), then a DuplicateKeyException is thrown and no vertex is created.

- ## Method Details

  - ### key

    public long key()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from interface: `KeyedObject`
    Returns the key for this KeyedObject.
    Specified by:
      `key` in interface `KeyedObject`
    Returns:
      The key of this vertex.

  - ### toString

    public String toString()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Overrides:
      `equals` in class `Object`
    Returns:
      true iff and only if the given object is a Vertex with the same key.

  - ### referent

    public Object referent()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns:
      The Object this vertex refers to specified at creation time.

  - ### hashCode

    public int hashCode()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Overrides:
      `hashCode` in class `Object`
    See Also:
      - `Overides hashCode() to use the key of this Vertex.`

  - ### compareTo

    public int compareTo(Vertex v)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Compares two vertices by keys. If the specified object o is not a Vertex a ClassCastException will be thrown.
    Specified by:
      `compareTo` in interface `Comparable<Vertex>`

  - ### name

    public String name()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Return the name of this vertex. If the Vertex has a referent, the referent's toString() method will be used to create the name. If the Vertex has a null referent, then the key will be used to determine the name.